{% extends 'base.njk' %}{% block title %}BCHN客户端关于BCH5月份升级的技术规范公告{% endblock %}{% block description %}{% endblock %}{% block body %}
<section class="bg-dark">
    <div class="container">
        <div class="row pb-3">
            <div class="col my-5 py-5 text-center">
                <h1 class="text-white">BCHN客户端关于BCH5月份升级的技术规范公告</h1> 
            </div>
        </div>
    </div>
</section>
<section class="bg-light">
    <div class="container py-6">
        <div class="row justify-content-center">
            <article class="col-md-10 col-lg-8">
                <div class="d-flex align-items-center pb-5">
                    <img src="/static/img/logomark.svg" alt="Logo" class="mr-3 w-auto" height="40">
                    <div>
                        <div>by <strong>Bitcoin Cash Node Team</strong>
                        </div>
                        <div class="text-small text-muted">27 March 2020</div>
                    </div>
                </div>
                <div class="content">
                    <p>

                    </p>
                    <p>在今天的文章中，BCHN客户端的首席维护者会介绍该项目进行2020年5月15号升级的技术规范。</p>
                    <h3 id="bch-">BCH网络升级的背景介绍和技术规范</h3>
                    <p>自2017年诞生以来，BCH会例行每年两次的硬分叉升级。每次升级前都需要提前定好技术规范，以便社区达成共识，进而执行并进行相关测试。</p>
                    <p>每次网络升级前三个月都会进行“功能冻结”（在功能冻结日期后，软件在发布前不可再添加新功能）。截止到那一日期，关于升级的一切规则改变都要完全确定下来，进行审核并被社区广泛接受。</p>
                    <h3 id="-2020-5-">《基础设施融资计划》和2020年5月份升级技术规范</h3>
                    <p>5月份升级的“功能冻结”截止日期在2月15号。</p>
                    <p>距离这一截止日期已经过去了两周。这次升级包括一个极具争议的“基础设施融资计划（IFP）”，会影响BCH的经济结构。IFP不仅遭到了社区的广泛反对，也不被Bitcoin ABC之外的其他节点接受。而ABC团队却表现得一意孤行，不顾社区反对。</p>
                    <p>社区反对IFP的声音此起彼伏，bitcoincash.org网站的维护人员却无视社区的反对。此外，bitcoincash.org网站与IFP技术规范同存储在一个项目库中。</p>
                    <p>BCNH提供了一种不包含IFP的客户端版本，以试图减少链分裂的风险。BCHN团队能做的是维护其5月份升级的技术规范，向社区精准地展示其软件的共识规则（只要不激活IFP，现有的BCH协议就无需更改）。</p>
                    <h3 id="bchn-">BCHN升级规范库</h3>
                    <p>BCHN客户端5月份升级的技术规范细则如下：</p>
                    <ul>
                        <li><a href="https://gitlab.com/bitcoin-cash-node/bchn-sw/bitcoincash-upgrade-specifications.git"><u><a href="https://gitlab.com/bitcoin-cash-node/bchn-sw/bitcoincash-upgrade-specifications.git">https://gitlab.com/bitcoin-cash-node/bchn-sw/bitcoincash-upgrade-specifications.git</a>
                            </u>
                            </a>
                        </li>
                    </ul>
                    <h3 id="-">其他注意事项</h3>
                    <p>截止到发文日期，BCHN与bitcoincash.org项目库的不同点有：</p>
                    <ul>
                        <li>
                            <p>移除了IFP</p>
                        </li>
                        <li>
                            <p>把2020年5月份升级的规范版本号码提高为1.0 （不再是草案版本）</p>
                        </li>
                    </ul>
                    <p>请查看上述项目库的<a href="https://gitlab.com/bitcoin-cash-node/bchn-sw/bitcoincash-upgrade-specifications/-/blob/master/README.md"><u>README.md</u></a>文件来随时跟进项目最新状态。</p>
                    <p>除以上不同，BCHN不计划对5月份的升级进行其他规范更改。</p>
                    <p>该项目库中的技术规范仅对BCHN有规范作用。</p>
                    <p>此文只是描述BCHN为升级所做的技术规范，仅适用于BCHN团队。我们希望这些规范更改能够被大部分的BCH客户端团队意识到。</p>
                    <p>BCHN的升级规范需要被考虑纳入总BCH规范之中（比如 <a href="https://reference.cash"><u><a href="https://reference.cash">https://reference.cash</a>
                        </u>
                        </a>）。</p>
                    <h3 id="-">未来展望</h3>
                    <p>我们希望能尽快建立起一个共享、协同管理的BCH协议规范。</p>
                    <p>BCHN客户端维护者正在与其他BCH全节点客户端的首席开发者讨论这一可能性。</p>
                    <p>BCHN团队敬上！</p>
                </div>
            </article>
        </div>
    </div>
</section>
{% endblock %}
